Skip to main content
GET
/
v3
/
developer
/
oauth-billing
/
reservations
/
{id}
Get a developer OAuth billing reservation
curl --request GET \
  --url https://api.scalev.com/v3/developer/oauth-billing/reservations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timestamp": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "released_at": "2023-11-07T05:31:56Z",
  "captured_at": "2023-11-07T05:31:56Z",
  "billing_status": "<string>",
  "billing_tag": "<string>",
  "billing_idempotency_key": "<string>",
  "action_key": "<string>",
  "amount": 123,
  "currency": "<string>",
  "released_reason": "<string>",
  "charge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": {},
  "capture_context": {
    "application_id": 123,
    "application_name": "<string>",
    "billing_tag": "<string>",
    "action_key": "<string>",
    "action_label": "<string>",
    "reservation_id": "<string>",
    "charge_id": "<string>",
    "request_id": "<string>",
    "billing_idempotency_key": "<string>",
    "merchant_business_id": 123,
    "developer_business_id": 123,
    "oauth_authorized_business_id": 123,
    "gross_amount": 123,
    "platform_fee_amount": 123,
    "developer_net_amount": 123,
    "currency": "<string>",
    "response_status": 123
  },
  "oauth_application_id": 123,
  "oauth_authorized_business_id": 123,
  "merchant_business_id": 123,
  "developer_business_id": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

OAuth billing reservation

id
string<uuid>
timestamp
string<date-time>
expires_at
string<date-time> | null
released_at
string<date-time> | null
captured_at
string<date-time> | null
billing_status
string
billing_tag
string
billing_idempotency_key
string
action_key
string
amount
integer
currency
string
released_reason
string | null
charge_id
string<uuid> | null
metadata
object
capture_context
object

Safe OAuth app billing capture summary returned on developer-facing billing reservation, billing charge, and developer earnings ledger payloads. Raw request/response bodies, headers, customer message text, and raw webhook payloads are intentionally excluded.

oauth_application_id
integer
oauth_authorized_business_id
integer
merchant_business_id
integer
developer_business_id
integer